#Find the number of running processes and report to graphite, statsd, & e-mail the list!

processes = `ps aux`

statsd :num_of_processes do
  key "my_computer.os"
  value "#{processes.lines.count}"
  type :gauge
end

graphite :num_of_processes do
  key "my_computer.os"
  value "#{processes.lines.count}"
end

statsd :num_of_processes do
  subject "my_computer.os"
  value "#{processes.lines.count}"
  to "example@company.com"
  body <<-EOF
  List of running processes on my_computer:

  #{processes}
  EOF
end